Bug 888859 - gma500: broken video after hibernate
Summary: gma500: broken video after hibernate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 16:36 UTC by nucleo
Modified: 2013-09-27 12:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-27 12:43:21 UTC
Type: Bug


Attachments (Terms of Use)
modesetting after hibernate (863.25 KB, image/png)
2012-12-19 16:36 UTC, nucleo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 58527 0 None None None Never

Description nucleo 2012-12-19 16:36:27 UTC
Created attachment 666221 [details]
modesetting after hibernate

Description of problem:
Video broken when system waked up after hibernate.
System is Asus X101CH with Intel gma3600 video card.


Version-Release number of selected component (if applicable):
xorg-x11-drv-modesetting-0.4.0-4.fc18

How reproducible:
Every time.

Steps to Reproduce:
1. Start hibernate mode from menus or run "systemctl start systemd-hibernate.service".
2. Resume system.
  
Actual results:
Xorg video broken, see screenshot, no errors in Xorg.0.log.
I can switch to terminal with Ctrl+Alt+F2, video there is fine, then I can restart kdm.service and then video in Xorg becames fine.

Expected results:
Video should not be broken after hibernate.

Additional info:
After suspend video is fine.
Video is not broken after hibernate if fbdev Xorg driver used instead of modesetting.

Comment 1 nucleo 2012-12-19 17:15:04 UTC
I also tried modesetting 0.5.0 driver but it have the same problem with broken video.

Comment 2 nucleo 2013-01-12 02:51:24 UTC
The same problem with xf86-video-modesetting-0.6.0 driver.

Comment 3 nucleo 2013-04-18 14:00:41 UTC
This is kernel bug, it fixed in repo 
https://github.com/patjak/drm-gma500.git

But unfortunately fixes will be available only in 3.10 kernel
https://bugs.freedesktop.org/show_bug.cgi?id=58527#c12

Comment 4 nucleo 2013-05-13 16:16:32 UTC
Broken video problem after hibernation fixed in 3.10 kernels from Rawhide.

Comment 5 Josh Boyer 2013-07-05 17:47:32 UTC
F18 should be getting a 3.10 rebase within the next few weeks.


Note You need to log in before you can comment on or make changes to this bug.